<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_d36d5ad3900b429055d2ab305b" . "68bdbd" => base64_decode("Zm9ydW1fbWVzc2Fn" . "ZQ=="), "_76b2584d18510f887f4a6f6b81f96" . "952" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J1" . "bQ=="), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1zZw" . "=="), "_4cb84eb74ebb3a0" . "cd6e531eaa815709" . "2" => base64_decode("YXBwX" . "2Zvcn" . "Vt"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d36d5ad3900b429055d2ab305" . "b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_76b2584d1851" . "0f887f4a6f6b8" . "1f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4cb84eb" . "74ebb3a0" . "cd6e531e" . "aa815709" . "2"];
    }
}